Robotics Service Bus - Feature #436

Make Reply Timeout in Client-Server Communication configurable
Category: C++ Estimated time: 0.00 hour
Target version: 0.4

Description

Associated revisions

Revision e00467e1 - 07/21/2011 09:03 PM - J. Moringen
Made reply timeout configurable in src/rsb/patterns/RemoteServer.{h,cpp}
fixes #436
- src/rsb/Factory.{h,cpp}: added maxReplyWaitTime parameter to
Factory::createRemoteServer
- src/rsb/patterns/RemoteServer.{h,cpp}: added maxWaitTime parameter
to WaitingEventHandler constructor; added maxReplyWaitTime to

RemoteServer constructor

History

#1 - 07/21/2011 09:03 PM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r2120.

#2 - 07/25/2011 06:12 PM - S. Wrede
- Target version changed from rsb-0.10 to 0.4
